## glance 21.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
defusedxml>=0.6.0 # PSF

# < 0.8.0/0.8 does not work, see https://bugs.launchpad.net/bugs/1153983
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
eventlet>=0.25.1 # MIT
PasteDeploy>=1.5.0 # MIT
Routes>=2.3.1 # MIT
WebOb>=1.8.1 # MIT
sqlalchemy-migrate>=0.11.0 # Apache-2.0
sqlparse>=0.2.2 # BSD
alembic>=0.8.10 # MIT
httplib2>=0.9.1 # MIT
oslo.config>=5.2.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.upgradecheck>=0.1.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
stevedore!=3.0.0,>=1.20.0 # Apache-2.0
futurist>=1.2.0 # Apache-2.0
taskflow>=2.16.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
WSME>=0.8.0 # MIT
PrettyTable<0.8,>=0.7.1 # BSD

# For paste.util.template used in keystone.common.template
Paste>=2.0.2 # MIT

jsonschema>=3.2.0 # MIT
pyOpenSSL>=17.1.0 # Apache-2.0
# Required by openstack.common libraries
six>=1.10.0 # MIT

oslo.db>=5.0.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0,!=9.0.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.policy>=2.4.1 # Apache-2.0

retrying!=1.3.0,>=1.2.3 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0

# Glance Store
glance-store>=2.3.0 # Apache-2.0


debtcollector>=1.2.0 # Apache-2.0
cryptography>=2.1 # BSD/Apache-2.0
cursive>=0.2.1 # Apache-2.0

# timeutils
iso8601>=0.1.11 # MIT

os-win>=3.0.0 # Apache-2.0

castellan>=0.17.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx>=2.0.0,!=2.1.0 # BSD
os-api-ref>=1.4.0 # Apache-2.0
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD
whereto>=0.3.0  # Apache-2.0

# needed for apidoc support
xattr>=0.9.2;sys_platform!='win32' # MIT

=== debian/changelog ===
glance (2:21.0.0-2+deb11u1) bullseye-security; urgency=medium

  * CVE-2022-47951: By supplying a specially created VMDK flat image which
    references a specific backing file path, an authenticated user may convince
    systems to return a copy of that file's contents from the server resulting
    in unauthorized access to potentially sensitive data. Add upstream patch
    cve-2022-47951-glance-stable-victoria.patch (Closes: #1029563).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Jan 2023 10:14:44 +0100

glance (2:21.0.0-2) unstable; urgency=medium

  * Add variables: DEB_BUILD_OPTIONS: nocheck DEB_BUILD_PROFILES: nocheck in
    debian/salsa-ci.yml.
  * Do not delete /etc/glance/rootwrap.conf, owned by python3-glance-store.
    (Closes: #987193).
  * mv /etc/glance/policy.json /etc/glance/disabled.policy.json.old instead of
    deleting /etc/glance/policy.json.
  * Tune glance-api-uwsgi.ini for performance.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Dec 2020 11:41:16 +0100

glance (2:21.0.0-1) unstable; urgency=medium

  * Add a debian/salsa-ci.yml and fix debian/watch file.
  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2020 15:56:31 +0200

glance (2:21.0.0~rc2-2) experimental; urgency=medium

  * Fixed read/wrinting setup without glance-registry config file.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Oct 2020 17:39:04 +0200

glance (2:21.0.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Oct 2020 15:26:12 +0200

glance (2:21.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed sql_conn-registry.patch (glance-registry.conf is gone).
  * Now using /etc/ironic/policy.d and yaml.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Sep 2020 20:12:06 +0200

glance (2:20.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 27 Aug 2020 10:29:09 +0200

glance (2:20.0.0-3) unstable; urgency=medium

  * Use /bin/sh as default shell to allow rsync of /var/lib/glance as the
    glance user.

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Jun 2020 09:06:41 +0200

glance (2:20.0.0-2) unstable; urgency=medium

  * Add missing --namespace glance.multi_store when generating
    glance-api.conf.

 -- Thomas Goirand <zigo@debian.org>  Mon, 18 May 2020 01:47:46 +0200

glance (2:20.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 16:31:31 +0200

glance (2:20.0.0~rc2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 01:40:20 +0200

glance (2:20.0.0~rc2-1) experimental; urgency=medium

  * New upstream version
  * d/copyright: Fix year for me

 -- Michal Arbet <michal.arbet@ultimum.io>  Sat, 02 May 2020 17:39:24 +0200

glance (2:20.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Generate at build time policy.json.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Apr 2020 18:25:46 +0200

glance (2:19.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Mar 2020 12:51:18 +0100

glance (2:19.0.0-3) unstable; urgency=medium

  * Blacklist failing patch (Closes: #954493):
    test_tasks_resource.TestTasksController.test_create_with_live_time()

 -- Thomas Goirand <zigo@debian.org>  Sun, 22 Mar 2020 14:32:29 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

LAST_CHANGE = $(shell dpkg-parsechangelog | grep Date: | sed 's/Date: //')
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D today="$(BUILD_DATE)"
SPHINXOPTS += -D html_last_updated_fmt="$(BUILD_DATE)"

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd

override_dh_auto_clean:
	find . -iname '*.pyc' -delete
	rm -rf doc/build
	rm -rf glance.sqlite
	rm -f debian/glance-common.config debian/glance-common.postinst debian/glance-common.postrm debian/glance-api.config debian/glance-api.postinst
	rm -f debian/*.init debian/*.upstart debian/*.service debian/*.templates
	rm -rf build

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func glance-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func glance-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func glance-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func glance-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm glance-common.postrm
	pkgos-merge-templates glance-api glance endpoint
	pkgos-merge-templates glance-common glance db rabbit ksat

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# Blacklist:
	# glance.tests.unit.v2.test_tasks_resource.TestTasksController.test_create_with_live_time https://bugs.launchpad.net/glance/+bug/1868455
	pkgos-dh_auto_test --no-py2 'glance\.tests\.unit\.(?!.*test_wsgi_ipv6\.IPv6ServerTest\.test_evnetlet_no_dnspython.*|.*async_\.flows\.test_ovf_process\.TestOvfProcessTask\.test_extract_ova_no_disk.*|.*test_tasks_resource\.TestTasksController\.test_create_with_live_time.*)'
endif

	# Generate all config files
	mkdir -p $(CURDIR)/debian/glance-common/usr/share/glance-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-api.conf \
		--namespace glance.api \
		--namespace glance.store \
		--namespace glance.multi_store \
		--namespace oslo.concurrency \
		--namespace oslo.messaging \
		--namespace oslo.db \
		--namespace oslo.db.concurrency \
		--namespace oslo.policy \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.log \
		--namespace oslo.middleware.cors \
		--namespace oslo.middleware.http_proxy_to_wsgi

	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-api.conf keystone_authtoken glance

	pkgos-fix-config-default $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-api.conf glance_store filesystem_store_datadir /var/lib/glance/images
	pkgos-fix-config-default $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-api.conf oslo_concurrency lock_path /var/lock/glance
	# Do not persist build time CPU numbers. See https://bugs.debian.org/807475
	sed -i 's|^[ \t#]*workers[ \t]*=[ \t].*|#workers = 2|' $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-api.conf

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-cache.conf \
		--namespace glance.cache \
		--namespace glance.store \
		--namespace oslo.log \
		--namespace oslo.policy
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-manage.conf \
		--namespace glance.manage \
		--namespace oslo.db \
		--namespace oslo.db.concurrency \
		--namespace oslo.log
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-scrubber.conf \
		--namespace glance.scrubber \
		--namespace glance.store \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.db.concurrency \
		--namespace oslo.log \
		--namespace oslo.policy

	mkdir -p $(CURDIR)/debian/glance-common/etc/glance/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file=$(CURDIR)/debian/glance-common/etc/glance/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace glance

	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/glance-common/usr/share/glance-common/glance.conf oslo_policy policy_dirs /etc/glance/policy.d

	rm -rf $(CURDIR)/debian/tmp/usr/etc
	dh_install
	dh_missing --fail-missing -Xusr/bin/glance-replicator

	install -D -m 0664 etc/glance-swift.conf.sample $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-swift.conf
	install -D -m 0664 etc/ovf-metadata.json.sample $(CURDIR)/debian/glance-common/usr/share/glance-common/ovf-metadata.json
	install -D -m 0664 etc/property-protections-policies.conf.sample $(CURDIR)/debian/glance-common/usr/share/glance-common/property-protections-policies.conf
	install -D -m 0664 etc/property-protections-roles.conf.sample $(CURDIR)/debian/glance-common/usr/share/glance-common/property-protections-roles.conf

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/glance-doc/usr/share/doc/glance-doc/html
	dh_sphinxdoc
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx $(SPHINXOPTS) -b man doc/source doc/build/man
	dh_installman
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/glance/tags .*/(\d[brc\d\.]+)\.tar\.gz

## glance 21.1.0

=== requirements.txt ===
--- 
+++ 
@@ -13,16 +13,16 @@
 WebOb>=1.8.1 # MIT
 sqlalchemy-migrate>=0.11.0 # Apache-2.0
 sqlparse>=0.2.2 # BSD
-alembic>=0.8.10 # MIT
+alembic>=0.9.6 # MIT
 httplib2>=0.9.1 # MIT
 oslo.config>=5.2.0 # Apache-2.0
 oslo.concurrency>=3.26.0 # Apache-2.0
-oslo.context>=2.19.2 # Apache-2.0
+oslo.context>=2.22.0 # Apache-2.0
 oslo.upgradecheck>=0.1.0 # Apache-2.0
-oslo.utils>=3.33.0 # Apache-2.0
+oslo.utils>=3.40.2 # Apache-2.0
 stevedore!=3.0.0,>=1.20.0 # Apache-2.0
 futurist>=1.2.0 # Apache-2.0
-taskflow>=2.16.0 # Apache-2.0
+taskflow>=4.0.0 # Apache-2.0
 keystoneauth1>=3.4.0 # Apache-2.0
 keystonemiddleware>=4.17.0 # Apache-2.0
 WSME>=0.8.0 # MIT
@@ -32,9 +32,10 @@
 Paste>=2.0.2 # MIT
 
 jsonschema>=3.2.0 # MIT
+python-keystoneclient>=3.8.0 # Apache-2.0
 pyOpenSSL>=17.1.0 # Apache-2.0
 # Required by openstack.common libraries
-six>=1.10.0 # MIT
+six>=1.11.0 # MIT
 
 oslo.db>=5.0.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
@@ -52,12 +53,12 @@
 
 
 debtcollector>=1.2.0 # Apache-2.0
-cryptography>=2.1 # BSD/Apache-2.0
+cryptography>=2.6.1 # BSD/Apache-2.0
 cursive>=0.2.1 # Apache-2.0
 
 # timeutils
 iso8601>=0.1.11 # MIT
 
-os-win>=3.0.0 # Apache-2.0
+os-win>=4.0.1 # Apache-2.0
 
 castellan>=0.17.0 # Apache-2.0

=== debian/changelog ===
glance (2:21.1.0-1+deb11u2) bullseye-security; urgency=high

  * CVE-2024-32498: Arbitrary file access through custom QCOW2 external data.
    Add upstream patch (Closes: #1074761):
    - CVE-2024-32498_train-ish-backport.patch
  * (build-)depends on oslo.utils >= 4.6.1.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Jun 2024 15:46:47 +0200

glance (2:21.1.0-1+deb11u1) bullseye-security; urgency=high

  * Disable using uwsgi for now, until upstream repairs the transfer-encoding:
    chucked with uwsgi.
  * New upstream release.
  * Fixed depends for this release.
  * CVE-2022-47951: By supplying a specially created VMDK flat image which
    references a specific backing file path, an authenticated user may convince
    systems to return a copy of that file's contents from the server resulting
    in unauthorized access to potentially sensitive data. Add upstream patch
    cve-2022-47951-glance-stable-victoria.patch (Closes: #1029563).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Jan 2023 09:54:30 +0100

=== debian/control ===
Source: glance
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 bandit,
 curl,
 procps,
 python3-alembic,
 python3-babel,
 python3-boto,
 python3-boto3,
 python3-castellan,
 python3-coverage,
 python3-cryptography,
 python3-cursive,
 python3-ddt,
 python3-debtcollector,
 python3-defusedxml (>= 0.6.0),
 python3-elasticsearch,
 python3-eventlet (>= 0.25.1),
 python3-fixtures,
 python3-futurist,
 python3-glance-store (>= 2.3.0),
 python3-hacking,
 python3-httplib2,
 python3-iso8601,
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-migrate,
 python3-monotonic,
 python3-mysqldb,
 python3-openssl,
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-os-win (>= 4.0.1),
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context (>= 2.22.0),
 python3-oslo.db (>= 5.0.0),
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 2.4.1),
 python3-oslo.reports,
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 4.6.1),
 python3-oslotest,
 python3-osprofiler,
 python3-paste,
 python3-pastedeploy,
 python3-pep8,
 python3-prettytable,
 python3-psutil,
 python3-psycopg2 (>= 2.8.4),
 python3-pygments,
 python3-pymysql,
 python3-requests,
 python3-retrying,
 python3-routes,
 python3-sendfile,
 python3-six,
 python3-sphinxcontrib.apidoc,
 python3-sqlalchemy,
 python3-sqlparse,
 python3-stestr,
 python3-stevedore,
 python3-swiftclient,
 python3-taskflow (>= 4.0.0),
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 python3-wsme,
 python3-xattr,
 qemu-utils,
 sqlite3,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/glance
Vcs-Git: https://salsa.debian.org/openstack-team/services/glance.git
Homepage: https://github.com/openstack/glance

Package: glance
Architecture: all
Depends:
 glance-api (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-ceph,
Description: OpenStack Image Registry and Delivery Service - Daemons
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package is a metapackage for all glance daemons.

Package: glance-api
Architecture: all
Depends:
 adduser,
 debconf,
 glance-common (= ${source:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3 (>= 2.0.18),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Recommends:
 python3-glanceclient,
Description: OpenStack Image Registry and Delivery Service - API server
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Glance API server.

Package: glance-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-glance (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Image Registry and Delivery Service - common files
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains common files for Glance.

Package: glance-doc
Architecture: all
Section: doc
Breaks:
 python-glance-doc,
Replaces:
 python-glance-doc,
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Image Registry and Delivery Service - Documentation
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

Package: python3-glance
Architecture: all
Section: python
Depends:
 alembic,
 libxml2-dev,
 libxslt-dev,
 procps,
 python3-alembic,
 python3-boto,
 python3-boto3 (>= 1.9.199),
 python3-castellan,
 python3-cinderclient,
 python3-cryptography,
 python3-cursive,
 python3-debtcollector,
 python3-defusedxml (>= 0.6.0),
 python3-eventlet (>= 0.25.1),
 python3-futurist,
 python3-glance-store (>= 2.3.0),
 python3-httplib2,
 python3-iso8601,
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-migrate,
 python3-monotonic,
 python3-mysqldb,
 python3-openssl,
 python3-os-win (>= 4.0.1),
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context (>= 2.22.0),
 python3-oslo.db (>= 5.0.0),
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 2.4.1),
 python3-oslo.reports,
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 4.6.1),
 python3-osprofiler,
 python3-paste,
 python3-pastedeploy,
 python3-pbr,
 python3-prettytable,
 python3-psycopg2 (>= 2.8.4),
 python3-pymysql,
 python3-requests,
 python3-retrying,
 python3-routes,
 python3-six,
 python3-sqlalchemy,
 python3-sqlparse,
 python3-stevedore,
 python3-swiftclient,
 python3-taskflow (>= 4.0.0),
 python3-webob,
 python3-wsme,
 python3-xattr,
 qemu-utils,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: OpenStack Image Registry and Delivery Service - Python library
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python libraries.

## glance 22.0.0

=== debian/changelog ===
glance (2:22.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Apr 2021 15:02:38 -0400

glance (2:22.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Track the 22.x series and fix path.
  * New upstream release candidate for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 23 Mar 2021 17:10:24 -0400

glance (2:22.0.0~b2+git2021012915.03bf00ee-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 29 Jan 2021 15:31:36 -0500

glance (2:21.0.0+git2020120911.f102b74a-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 09 Dec 2020 11:52:03 -0500

glance (2:21.0.0-0ubuntu1) groovy; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Track the 21.x series.
  * New upstream release for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 15 Oct 2020 10:14:02 +0000

glance (2:21.0.0~b3~git2020091515.e16d5c9b-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Remove Breaks/Replaces that are older than Focal (LP: #1878419).

  [ Corey Bryant ]
  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Sep 2020 15:56:58 -0400

glance (2:21.0.0~b2~git2020073013.cfbe5f76-0ubuntu2) groovy; urgency=medium

  * d/glance-common.postrm: Drop --system from deluser/delgroup calls. This
    aligns with the glance-common.postinst script reserved glance uid/gid
    (LP: #1889846).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 03 Aug 2020 12:39:41 -0400

glance (2:21.0.0~b2~git2020073013.cfbe5f76-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 30 Jul 2020 13:19:26 +0000

glance (2:21.0.0~b1~git2020062909.e6db0b10-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * Align (Build-)Depends with upstream.
  * d/glance-common.install, d/glance-common.manpages: Remove glance-registry bits
    after upstream removal.
  * d/control: Update Standards-Version to 4.5.0.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 29 Jun 2020 09:45:58 +0000

glance (2:20.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 20.x series.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 May 2020 13:55:45 -0400

## glance 22.1.0

=== debian/changelog ===
glance (2:22.1.0-0ubuntu1) hirsute; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/wallaby branch.

  [ Chris MacNaughton ]
  * New stable point release for OpenStack Wallaby (LP: #1948912).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 27 Oct 2021 10:16:18 +0000

=== debian/control ===
Source: glance
Section: net
Priority: extra
Maintainer: Ubuntu OpenStack <openstack-packaging@lists.ubuntu.com>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 bandit,
 crudini,
 python3-alembic (>= 0.9.6),
 python3-babel (>= 2.3.4),
 python3-boto3 (>= 1.9.199),
 python3-castellan (>= 0.17.0),
 python3-cinderclient (>= 1:4.1.0),
 python3-cryptography (>= 2.6.1),
 python3-cursive (>= 0.2.1),
 python3-ddt (>= 1.0.1),
 python3-debtcollector (>= 1.19.0),
 python3-defusedxml (>= 0.6.0),
 python3-eventlet (>= 0.25.1),
 python3-fixtures (>= 3.0.0),
 python3-futurist (>= 1.2.0),
 python3-glance-store (>= 2.3.0),
 python3-httplib2 (>= 0.9.1),
 python3-iso8601 (>= 0.1.11),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 5.1.0),
 python3-migrate (>= 0.11.0),
 python3-mock (>= 2.0.0),
 python3-openssl (>= 17.1.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-brick (>= 3.1.0),
 python3-os-testr (>= 1.0.0),
 python3-os-win (>= 4.0.1),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:8.1.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 5.0.0),
 python3-oslo.i18n (>= 5.0.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.6.2),
 python3-oslo.privsep (>= 1.32.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pep8,
 python3-prettytable (>= 0.7.1),
 python3-psutil (>= 3.2.2),
 python3-psycopg2 (>= 2.8.4),
 python3-pygments (>= 2.2.0),
 python3-pymysql (>= 0.7.6),
 python3-requests (>= 2.18.0),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.3.1),
 python3-semantic-version (>= 2.3.1),
 python3-sendfile (>= 2.0.0),
 python3-six (>= 1.11.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sqlalchemy (>= 1.2.18+ds1-2ubuntu2~),
 python3-sqlparse (>= 0.2.2),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-taskflow (>= 4.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.8.1),
 python3-wsme (>= 0.8.0),
 python3-xattr (>= 0.9.2),
 qemu-utils,
 subunit,
Standards-Version: 4.5.0
XS-Python-Version: >= 2.7
Homepage: https://launchpad.net/glance
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/glance
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/glance
Testsuite: autopkgtest-pkg-python

Package: glance
Architecture: all
Section: python
Depends:
 glance-api (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Image Registry and Delivery Service - Daemons
 The Glance project provides an image registration and discovery service
 and an image delivery service. These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package is a metapackage for all glance daemons.

Package: glance-api
Architecture: all
Section: python
Depends:
 python3-glance (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Image Registry and Delivery Service - API
 The Glance project provides an image registration, discovery and
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the glance API server.

Package: glance-common
Architecture: all
Section: python
Depends:
 adduser,
 ${misc:Depends},
Description: OpenStack Image Registry and Delivery Service - Common
 The Glance project provides an image registration, discovery and
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the glance common.

Package: python-glance-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 ${misc:Depends},
Description: OpenStack Image Registry and Delivery Service - Documentation
 The Glance project provides an image registration and discovery service
 (Parallax) and an image delivery service (Teller). These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

Package: python3-glance
Architecture: all
Section: python
Depends:
 glance-common (= ${binary:Version}),
 python3-alembic (>= 0.9.6),
 python3-castellan (>= 0.17.0),
 python3-cryptography (>= 2.6.1),
 python3-cursive (>= 0.2.1),
 python3-debtcollector (>= 1.19.0),
 python3-defusedxml (>= 0.6.0),
 python3-eventlet (>= 0.25.1),
 python3-futurist (>= 1.2.0),
 python3-glance-store (>= 2.3.0),
 python3-glanceclient,
 python3-httplib2 (>= 0.9.1),
 python3-iso8601 (>= 0.1.11),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 5.1.0),
 python3-migrate (>= 0.11.0),
 python3-openssl (>= 17.1.0),
 python3-os-win (>= 4.0.1),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:8.1.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 5.0.0),
 python3-oslo.i18n (>= 5.0.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.6.2),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.7.0),
 python3-osprofiler (>= 1.4.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 3.1.1),
 python3-prettytable (>= 0.7.1),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.3.1),
 python3-semantic-version (>= 2.3.1),
 python3-six (>= 1.11.0),
 python3-sqlalchemy (>= 1.2.18+ds1-2ubuntu2~),
 python3-sqlparse (>= 0.2.2),
 python3-stevedore (>= 1:1.20.0),
 python3-taskflow (>= 4.0.0),
 python3-webob (>= 1:1.8.1),
 python3-wsme (>= 0.8.0),
 qemu-utils,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-rados,
 python3-rbd,
Provides:
 ${python3:Provides},
XB-Python-Version: ${python3:Versions}
Description: OpenStack Image Registry and Delivery Service - Python 3 library
 The Glance project provides an image registration and discovery service
 and an image delivery service. These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python 3 libraries.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/glance/ glance-(22\.\d.*)\.tar\.gz

## glance 22.1.1

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-pbr!=2.1.0,>=2.0.0 # Apache-2.0
+pbr>=3.1.1 # Apache-2.0
 defusedxml>=0.6.0 # PSF
 
 # < 0.8.0/0.8 does not work, see https://bugs.launchpad.net/bugs/1153983
@@ -15,18 +15,18 @@
 sqlparse>=0.2.2 # BSD
 alembic>=0.9.6 # MIT
 httplib2>=0.9.1 # MIT
-oslo.config>=5.2.0 # Apache-2.0
+oslo.config>=8.1.0 # Apache-2.0
 oslo.concurrency>=3.26.0 # Apache-2.0
 oslo.context>=2.22.0 # Apache-2.0
-oslo.upgradecheck>=0.1.0 # Apache-2.0
-oslo.utils>=3.40.2 # Apache-2.0
+oslo.upgradecheck>=1.3.0 # Apache-2.0
+oslo.utils>=4.7.0 # Apache-2.0
 stevedore!=3.0.0,>=1.20.0 # Apache-2.0
 futurist>=1.2.0 # Apache-2.0
 taskflow>=4.0.0 # Apache-2.0
 keystoneauth1>=3.4.0 # Apache-2.0
-keystonemiddleware>=4.17.0 # Apache-2.0
+keystonemiddleware>=5.1.0 # Apache-2.0
 WSME>=0.8.0 # MIT
-PrettyTable<0.8,>=0.7.1 # BSD
+PrettyTable>=0.7.1 # BSD
 
 # For paste.util.template used in keystone.common.template
 Paste>=2.0.2 # MIT
@@ -38,12 +38,12 @@
 six>=1.11.0 # MIT
 
 oslo.db>=5.0.0 # Apache-2.0
-oslo.i18n>=3.15.3 # Apache-2.0
-oslo.log>=3.36.0 # Apache-2.0
+oslo.i18n>=5.0.0 # Apache-2.0
+oslo.log>=4.3.0 # Apache-2.0
 oslo.messaging>=5.29.0,!=9.0.0 # Apache-2.0
 oslo.middleware>=3.31.0 # Apache-2.0
 oslo.reports>=1.18.0 # Apache-2.0
-oslo.policy>=2.4.1 # Apache-2.0
+oslo.policy>=3.6.2 # Apache-2.0
 
 retrying!=1.3.0,>=1.2.3 # Apache-2.0
 osprofiler>=1.4.0 # Apache-2.0
@@ -52,7 +52,7 @@
 glance-store>=2.3.0 # Apache-2.0
 
 
-debtcollector>=1.2.0 # Apache-2.0
+debtcollector>=1.19.0 # Apache-2.0
 cryptography>=2.6.1 # BSD/Apache-2.0
 cursive>=0.2.1 # Apache-2.0

=== debian/changelog ===
glance (2:22.1.1-1+deb11u3~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.
  * Refreshed CVE-2024-32498_1_Update_image.size_after_conversion.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-wallaby.debian.net>  Mon, 28 Jul 2025 08:36:47 +0000

glance (2:22.1.0-2+deb11u2) UNRELEASED; urgency=medium

  * CVE-2022-47951: vulnerability in VMDK image processing. By supplying a
    specially created VMDK flat image which references a specific backing file
    path, an authenticated user may convince systems to return a copy of that
    file's contents from the server resulting in unauthorized access to
    potentially sensitive data. Added upstream patch:
    CVE-2022-47951-Enforce_image_safety_during_image_conversion.patch
    (Closes: #1029563).
  * CVE-2024-32498: Arbitrary file access through custom QCOW2 external data.
    Add upstream patch (Closes: #1074761):
    - CVE-2024-32498_1_Update_image.size_after_conversion.patch
    - CVE-2024-32498_2_Limit_CaptureRegion_sizes_in_format_inspector_for_VMDK_and_VHDX.patch
    - CVE-2024-32498_3_Support_Stream_Optimized_VMDKs.patch
    - CVE-2024-32498_4_1_glance-stable-2023.1.patch
    - CVE-2024-32498_4_2_glance-stable-2023.1.patch
    - CVE-2024-32498_4_3_glance-stable-2023.1.patch
    - CVE-2024-32498_4_4_glance-stable-2023.1.patch
    - CVE-2024-32498_4_5_glance-stable-2023.1.patch
    - CVE-2024-32498_4_6_glance-stable-2023.1.patch
    - CVE-2024-32498_4_7_glance-stable-2023.1.patch
    - CVE-2024-32498_5_add-missing-disk-format-props.patch
    - CVE-2024-32498_6_add-missing-import-io.patch

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Jun 2024 11:13:10 +0200

glance (2:22.1.0-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 12 Oct 2021 13:10:52 +0200

glance (2:22.0.0-2) unstable; urgency=medium

  * Disable using uwsgi for now, until upstream repairs the transfer-encoding:
    chucked with uwsgi.
  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 12:45:47 +0200

glance (2:22.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Apr 2021 22:17:54 +0200

glance (2:22.0.0~rc1-1) experimental; urgency=medium

  * Tune glance-api-uwsgi.ini for performance.
  * New upstream release.
  * Removed (build-)depends versions when statisfied in Bullseye.
  * Fixed (build-)depends for this release.
  * debhelper-compat 11.
  * Standards-Version: 4.5.1.
  * d/rules: removed --with systemd.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Mar 2021 21:46:09 +0100

=== debian/control ===
Source: glance
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 bandit,
 curl,
 procps,
 python3-alembic,
 python3-babel,
 python3-boto,
 python3-boto3,
 python3-castellan,
 python3-coverage,
 python3-cryptography,
 python3-cursive,
 python3-ddt,
 python3-debtcollector,
 python3-defusedxml,
 python3-elasticsearch,
 python3-eventlet,
 python3-fixtures,
 python3-futurist,
 python3-glance-store,
 python3-hacking,
 python3-httplib2,
 python3-iso8601,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-migrate,
 python3-monotonic,
 python3-mysqldb,
 python3-openssl,
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.6.2),
 python3-oslo.reports,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.7.0),
 python3-oslotest,
 python3-osprofiler,
 python3-paste,
 python3-pastedeploy,
 python3-pep8,
 python3-prettytable,
 python3-psutil,
 python3-psycopg2,
 python3-pygments,
 python3-pymysql,
 python3-requests,
 python3-retrying,
 python3-routes,
 python3-sendfile,
 python3-six,
 python3-sphinxcontrib.apidoc,
 python3-sqlalchemy,
 python3-sqlparse,
 python3-stestr,
 python3-stevedore,
 python3-swiftclient,
 python3-taskflow,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 python3-wsme,
 python3-xattr,
 qemu-utils,
 sqlite3,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/glance
Vcs-Git: https://salsa.debian.org/openstack-team/services/glance.git
Homepage: https://github.com/openstack/glance

Package: glance
Architecture: all
Depends:
 glance-api (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-ceph,
Description: OpenStack Image Registry and Delivery Service - Daemons
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package is a metapackage for all glance daemons.

Package: glance-api
Architecture: all
Depends:
 adduser,
 debconf,
 glance-common (= ${source:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Recommends:
 python3-glanceclient,
Description: OpenStack Image Registry and Delivery Service - API server
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Glance API server.

Package: glance-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-glance (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Image Registry and Delivery Service - common files
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains common files for Glance.

Package: glance-doc
Architecture: all
Section: doc
Breaks:
 python-glance-doc,
Replaces:
 python-glance-doc,
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Image Registry and Delivery Service - Documentation
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

Package: python3-glance
Architecture: all
Section: python
Depends:
 alembic,
 libxml2-dev,
 libxslt-dev,
 procps,
 python3-alembic,
 python3-boto,
 python3-boto3,
 python3-castellan,
 python3-cinderclient,
 python3-cryptography,
 python3-cursive,
 python3-debtcollector,
 python3-defusedxml,
 python3-eventlet,
 python3-futurist,
 python3-glance-store,
 python3-httplib2,
 python3-iso8601,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-migrate,
 python3-monotonic,
 python3-mysqldb,
 python3-openssl,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.6.2),
 python3-oslo.reports,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.7.0),
 python3-osprofiler,
 python3-paste,
 python3-pastedeploy,
 python3-pbr,
 python3-prettytable,
 python3-psycopg2,
 python3-pymysql,
 python3-requests,
 python3-retrying,
 python3-routes,
 python3-six,
 python3-sqlalchemy,
 python3-sqlparse,
 python3-stevedore,
 python3-swiftclient,
 python3-taskflow,
 python3-webob,
 python3-wsme,
 python3-xattr,
 qemu-utils,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: OpenStack Image Registry and Delivery Service - Python library
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python libraries.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 SPHINXOPTS += -D html_last_updated_fmt="$(BUILD_DATE)"
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd
+	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	find . -iname '*.pyc' -delete
